php5-pgsql_5.4.45-0+deb7u2_i386.deb


Advertisement

Description

php5-pgsql - PostgreSQL module for php5

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name php5-pgsql
Package version 5.4.45
Package release 0+deb7u2
Package architecture i386
Package type deb
Installed size 155 B
Download size 61.20 KB
Official Mirror ftp.br.debian.org
This package provides a module for PostgreSQL database connections
directly from PHP scripts.  It also includes the pdo_pgsql module for
use with the PHP Data Object extension.
PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
open source general-purpose scripting language that is especially suited
for web development and can be embedded into HTML.

Alternatives

Package Version Architecture Repository
php5-pgsql_5.4.45-1~dotdeb+7.1_amd64.deb 5.4.45 amd64 Dotdeb
php5-pgsql_5.4.45-1~dotdeb+7.1_i386.deb 5.4.45 i386 Dotdeb
php5-pgsql_5.4.45-0+deb7u2_amd64.deb 5.4.45 amd64 Debian Main
php5-pgsql_5.4.45-0+deb7u14_i386.deb 5.4.45 i386 Debian Security Updates Main
php5-pgsql_5.4.45-0+deb7u14_amd64.deb 5.4.45 amd64 Debian Security Updates Main
php5-pgsql_5.4.44-1~dotdeb+7.1_amd64.deb 5.4.44 amd64 Dotdeb
php5-pgsql_5.4.44-1~dotdeb+7.1_i386.deb 5.4.44 i386 Dotdeb
php5-pgsql - - -

Requires

Name Value
dpkg >= 1.16.1~
libc6 >= 2.4
libpq5 >= 9.0~
php5-common = 5.4.45-0+deb7u2
phpapi-20100525+lfs -
ucf -

Download

Type URL
Binary Package php5-pgsql_5.4.45-0+deb7u2_i386.deb
Source Package php5

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php5-pgsql deb package:
    # sudo apt-get install php5-pgsql

Files

Path
/usr/lib/php5/20100525+lfs/pdo_pgsql.so
/usr/lib/php5/20100525+lfs/pgsql.so
/usr/share/doc/php5-pgsql
/usr/share/php5/pgsql/pdo_pgsql.ini
/usr/share/php5/pgsql/pgsql.ini

Changelog

2015-10-04 - Ondřej Surý <ondrej@debian.org>
php5 (5.4.45-0+deb7u2) wheezy-security; urgency=high
* Merge security updates from PHP 5.5.30 into PHP 5.4.45
- Phar:
. Fixed bug #69720 (Null pointer dereference in phar_get_fp_offset()).
. Fixed bug #70433 (Uninitialized pointer in phar_make_dirstream when
zip entry filename is "/").
* Add a notice about PHP 5.4 EOL to d/NEWS
2015-09-07 - Ondřej Surý <ondrej@debian.org>
php5 (5.4.45-0+deb7u1) wheezy-security; urgency=medium
* New upstream version 5.4.45
- Core:
. Fixed bug #70172 (Use After Free Vulnerability in unserialize()).
. Fixed bug #70219 (Use after free vulnerability in session
deserializer).
- EXIF:
. Fixed bug #70385 (Buffer over-read in exif_read_data with TIFF IFD
tag byte value of 32 bytes).
- hash:
. Fixed bug #70312 (HAVAL gives wrong hashes in specific cases).
- PCRE:
. Fixed bug #70345 (Multiple vulnerabilities related to PCRE
functions).
- SOAP:
. Fixed bug #70388 (SOAP serialize_function_call() type confusion /
RCE).
- SPL:
. Fixed bug #70365 (Use-after-free vulnerability in unserialize() with
SplObjectStorage).
. Fixed bug #70366 (Use-after-free vulnerability in unserialize() with
SplDoublyLinkedList).
- XSLT:
. Fixed bug #69782 (NULL pointer dereference).
- ZIP:
. Fixed bug #70350 (ZipArchive::extractTo allows for directory
traversal when creating directories).
* Rebase patches on top of 5.4.45 release
2015-08-16 - Ondřej Surý <ondrej@debian.org>
php5 (5.4.44-0+deb7u1) wheezy-security; urgency=medium
* New upstream version 5.4.44
- Core:
. Fixed bug #69793 (Remotely triggerable stack exhaustion via recursive
method calls).
. Fixed bug #69892 (Different arrays compare indentical due to integer key
truncation).
. Fixed bug #70121 (unserialize() could lead to unexpected methods execution
/ NULL pointer deref).
- OpenSSL:
. Fixed bug #70014 (openssl_random_pseudo_bytes() is not cryptographically
secure).
- Phar:
. Improved fix for bug #69441.
. Fixed bug #70019 (Files extracted from archive may be placed outside of 
destination directory).
- SOAP:
. Fixed bug #70081 (SoapClient info leak / null pointer dereference via
multiple type confusions).
- SPL:
. Fixed bug #70068 (Dangling pointer in the unserialization of ArrayObject
items).
. Fixed bug #70166 (Use After Free Vulnerability in unserialize() with
SPLArrayObject).
. Fixed bug #70168 (Use After Free Vulnerability in unserialize() with
SplObjectStorage).
. Fixed bug #70169 (Use After Free Vulnerability in unserialize() with
SplDoublyLinkedList).
* New upstream version 5.4.43
- Core:
. Fixed bug #69768 (escapeshell*() doesn't cater to !).
. Fixed bug #69874 (Can't set empty additional_headers for mail()), regression
from fix to bug #68776.
- Mysqlnd:
. Fixed bug #69669 (mysqlnd is vulnerable to BACKRONYM) (CVE-2015-3152).
- Phar:
. Fixed bug #69958 (Segfault in Phar::convertToData on invalid file).
. Fixed bug #69923 (Buffer overflow and stack smashing error in 
phar_fix_filepath).
* Rebase patches on top of 5.4.44 release

See Also

Package Description
php5-ps_1.3.7-1_i386.deb ps module for PHP 5
php5-pspell_5.4.45-0+deb7u2_i386.deb pspell module for php5
php5-radius_1.2.5-2.3+deb7u1_i386.deb PECL radius module for PHP 5
php5-recode_5.4.45-0+deb7u2_i386.deb recode module for php5
php5-remctl_3.2-4_i386.deb PECL module for Kerberos-authenticated command execution
php5-rrd_1.1.0-1_i386.deb rrd module for PHP 5
php5-sasl_0.1.0-1.2+b1_i386.deb Cyrus SASL extension for PHP 5
php5-snmp_5.4.45-0+deb7u2_i386.deb SNMP module for php5
php5-sqlite_5.4.45-0+deb7u2_i386.deb SQLite module for php5
php5-svn_1.0.1-1.2_i386.deb PHP Bindings for the Subversion Revision control system
php5-sybase_5.4.45-0+deb7u2_i386.deb Sybase / MS SQL Server module for php5
php5-tidy_5.4.45-0+deb7u2_i386.deb tidy module for php5
php5-tokyo-tyrant_0.6.0-2+b1_i386.deb PHP interface to Tokyo Cabinet's network interface, Tokyo Tyrant
php5-vtkgdcm_2.2.0-14.1_i386.deb Grassroots DICOM VTK PHP bindings
php5-xcache_2.0.0-4_i386.deb Fast, stable PHP opcode cacher
Advertisement
Advertisement